%global pkgvers 0
%global scdate0 20240601
%global schash0 7f7475cd9c0b75cc9622d13614e579a151856a1f
%global branch0 master
%global source0 https://github.com/SimonBlanke/Gradient-Free-Optimizers.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           python-gradient_free_optimizers
Version:        1.4.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Gradient Free Optimizers
License:        BSD
BuildArch:      noarch

URL:            https://github.com/SimonBlanke/Gradient-Free-Optimizers

BuildRequires:  git python3-devel python3-setuptools

%description
Simple and reliable optimization with local, global, population-based
and sequential techniques in numerical discrete search spaces.


%package -n     python3-gradient-free-optimizers
Summary:        %{summary}
Provides:       python-gradient-free-optimizers

%description -n python3-gradient-free-optimizers
Simple and reliable optimization with local, global, population-based
and sequential techniques in numerical discrete search spaces.

%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%py3_build


%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/tests


%files -n python3-gradient-free-optimizers
%license LICENSE
%doc README.md
%{python3_sitelib}/gradient_free_optimizers/
%{python3_sitelib}/gradient_free_optimizers-*.egg-info/


%changelog
* Fri Mar 29 2019 Balint Cristian <cristian.balint@gmail.com>
- github upstream releases
